# GetPicons

#### Enigma2 plugin to dowload and create channels picons files form lyngsat.com

Dowloads and creates Enigma2 channels picons files form lyngsat.com (straight forward downloading and resizing without transparency and other fine tunings).
Picons for all channels in lamed are downloaded (you can subselect particular sattelites or packages via paremeters).
No symlinks are created for same images.

You can run it several ways:

1. As a Dreambox plugin (GetPicons)
2. From Dreambox command line (/usr/script/get_picons.sh)
3. From PC command line

**Prerequisites**:
- Python 2.x
- Python libraries-  Imaging (PIL) (usually part of standart python)

**Usage (command line):**
```
python get_picons.py [options]
```
Options:

    -p PACKAGE_LIST, --package=PACKAGE_LIST     list of package names (html file name in lyngsat),
                                                e.g "viasat,ntvplus36"
    -s  SAT_LIST, --sat=SAT_LIST                list of sattelite positions, e.g. "4.9,-0.8"
    -z  SIZE                                    icon size, e.g. "100x60", default - "220x132"
    -f PATH, --folder PATH                      picon files output folder, default - "/media/hdd/picon"
    -e PATH, --enigma PATH                      enigma2 folder whera lamedb,settings are located, default - "/etc/enigma2"
                                                you can use urls, e.g. "ftp://root@receiver_address/etc/enigma2"
    -o, -overwrite                              overwrite existing picons file (default - no)
    -d, -debug                                  display work progress and write debug info to file for not found services
    -h, --help                                  this help file



Copyright (c) 2015-2016 ivars777 (ivars777@gmail.com)
Distributed under the GNU GPL v3. For full terms see http://www.gnu.org/licenses/gpl-3.0.en.html